package de.dhbwstuttgart.bytecode.utilities;

import java.util.ArrayList;

import de.dhbwstuttgart.syntaxtree.type.RefTypeOrTPHOrWildcardOrGeneric;
import de.dhbwstuttgart.syntaxtree.type.TypePlaceholder;
import de.dhbwstuttgart.typeinference.result.GenericInsertPair;
import de.dhbwstuttgart.typeinference.result.ResultPair;

public class MethodAndTPH {
	
	private String id;
	private final ArrayList<String> tphs = new ArrayList<>();
	//private final ArrayList<GenericInsertPair> pairs = new ArrayList<>();
	private final ArrayList<ResultPair<TypePlaceholder, TypePlaceholder>> pairs = new ArrayList<>();
	// tphs of local variables and parameters
	private final ArrayList<String> localTphs = new ArrayList<>();

	public MethodAndTPH(String name) {
		this.id = name;
	}

	public ArrayList<String> getTphs() {
		return tphs;
	}
	
//	public ArrayList<GenericInsertPair> getPairs(){
//		return pairs;
//	}
	public ArrayList<ResultPair<TypePlaceholder, TypePlaceholder>> getPairs(){
		return pairs;
	}
	
	public String getId() {
		return id;
	}

	public ArrayList<String> getLocalTphs() {
		return localTphs;
	}
	
}
